package org.greenstone.gsdl3.gs3build.validator;

import org.greenstone.gsdl3.gs3build.doctypes.DocumentInterface;
import org.greenstone.gsdl3.gs3build.doctypes.DocumentID;

public interface ValidatorInterface
{
	/**
	 *  Record the build manager to use for this expander - this is used
	 *  to pass back any new directories into which expanded files are placed.
	 */
	public void configure();

	/**
	 *  Attempt to expand a file.  The returned result is <code>true</code> if the
	 *  file was actually expanded.
	 *
	 *  @param <code>DocumentID</code> the identity code of the document
	 *  @param <code>DocumentInterface</code> the document itself
	 *
	 *  @return <code>boolean</code> whether the file was validated.
	 */
	public boolean validateDocument(DocumentID docID, DocumentInterface document);
}